---
title: "Update follow preferences"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › directory

`PUT /v2/directory/{subjectType}/{listingId}/follow-preferences`

## Path parameters

- `subjectType` (`directory-update-follow-preferences.path.subjectType`; string, required)
  - one of `"person"`, `"entity"`
- `listingId` (`directory-update-follow-preferences.path.listingId`; string, required)
  - format `uuid`

## Request body

- `notifyFilings` (`directory-update-follow-preferences.notifyFilings`; boolean, optional)
- `notifyMaterialChanges` (`directory-update-follow-preferences.notifyMaterialChanges`; boolean, optional)
- `notifyTeam` (`directory-update-follow-preferences.notifyTeam`; boolean, optional)
- `notifyFunds` (`directory-update-follow-preferences.notifyFunds`; boolean, optional)
- `notifyInvestments` (`directory-update-follow-preferences.notifyInvestments`; boolean, optional)
- `notifyRelationships` (`directory-update-follow-preferences.notifyRelationships`; boolean, optional)
- `notifyCriteria` (`directory-update-follow-preferences.notifyCriteria`; boolean, optional)
- `notifyPackages` (`directory-update-follow-preferences.notifyPackages`; boolean, optional)
- `notifyCorrections` (`directory-update-follow-preferences.notifyCorrections`; boolean, optional)

## Example request

```json
{
  "notifyFilings": true,
  "notifyMaterialChanges": true,
  "notifyTeam": true,
  "notifyFunds": true,
  "notifyInvestments": true,
  "notifyRelationships": true,
  "notifyCriteria": true,
  "notifyPackages": true,
  "notifyCorrections": true
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url 'https://api.sureshake.com/v2/directory/person/<listingId>/follow-preferences' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notifyFilings": true,
  "notifyMaterialChanges": true,
  "notifyTeam": true,
  "notifyFunds": true,
  "notifyInvestments": true,
  "notifyRelationships": true,
  "notifyCriteria": true,
  "notifyPackages": true,
  "notifyCorrections": true
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/directory/person/<listingId>/follow-preferences';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    notifyFilings: true,
    notifyMaterialChanges: true,
    notifyTeam: true,
    notifyFunds: true,
    notifyInvestments: true,
    notifyRelationships: true,
    notifyCriteria: true,
    notifyPackages: true,
    notifyCorrections: true
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/directory/person/<listingId>/follow-preferences"

payload = {
    "notifyFilings": True,
    "notifyMaterialChanges": True,
    "notifyTeam": True,
    "notifyFunds": True,
    "notifyInvestments": True,
    "notifyRelationships": True,
    "notifyCriteria": True,
    "notifyPackages": True,
    "notifyCorrections": True
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
    "subjectType": "person",
    "preferences": {
      "notifyFilings": true,
      "notifyMaterialChanges": true,
      "notifyTeam": true,
      "notifyFunds": true,
      "notifyInvestments": true,
      "notifyRelationships": true,
      "notifyCriteria": true,
      "notifyPackages": true,
      "notifyCorrections": true
    },
    "customized": true,
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`directory-update-follow-preferences.response.200.data`; object, required)
  - `listingId` (`directory-update-follow-preferences.response.200.data.listingId`; string, required)
    - format `uuid`
  - `subjectType` (`directory-update-follow-preferences.response.200.data.subjectType`; string, required)
    - one of `"person"`, `"entity"`
  - `preferences` (`directory-update-follow-preferences.response.200.data.preferences`; object, required)
    - `notifyFilings` (`directory-update-follow-preferences.response.200.data.preferences.notifyFilings`; boolean, required)
    - `notifyMaterialChanges` (`directory-update-follow-preferences.response.200.data.preferences.notifyMaterialChanges`; boolean, required)
    - `notifyTeam` (`directory-update-follow-preferences.response.200.data.preferences.notifyTeam`; boolean, required)
    - `notifyFunds` (`directory-update-follow-preferences.response.200.data.preferences.notifyFunds`; boolean, required)
    - `notifyInvestments` (`directory-update-follow-preferences.response.200.data.preferences.notifyInvestments`; boolean, required)
    - `notifyRelationships` (`directory-update-follow-preferences.response.200.data.preferences.notifyRelationships`; boolean, required)
    - `notifyCriteria` (`directory-update-follow-preferences.response.200.data.preferences.notifyCriteria`; boolean, required)
    - `notifyPackages` (`directory-update-follow-preferences.response.200.data.preferences.notifyPackages`; boolean, required)
    - `notifyCorrections` (`directory-update-follow-preferences.response.200.data.preferences.notifyCorrections`; boolean, required)
  - `customized` (`directory-update-follow-preferences.response.200.data.customized`; boolean, required)
  - `updatedAt` (`directory-update-follow-preferences.response.200.data.updatedAt`; string, required, nullable)
    - format `date-time`
- `meta` (`directory-update-follow-preferences.response.200.meta`; object, optional)
  - `timestamp` (`directory-update-follow-preferences.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.400.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.401.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.403.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.404.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.409.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.429.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.500.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-update-follow-preferences.response.503.error`; object, required)
  - `code` (`directory-update-follow-preferences.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-update-follow-preferences.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`directory-update-follow-preferences.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-update-follow-preferences.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/directory-update-follow-preferences/index.md
